#include<iostream>
#include<math.h>
#include<vector>
using namespace std;
long long n, br = 0;
vector<pair<long long, long long>> del(long long k){
    vector<pair<long long, long long>> out;
    for(long long i=2; i<=sqrt(k); i++){
        if(k%i==0){
            out.push_back({i, k/i});
        }
    }
    return out;
}
int main(){
    cin>>n;
    cout<<(int)sqrt(n)+1;
    return 0;
    vector<pair<long long, long long>> dv;
    dv = del(n);
    br += dv.size();
    long long br2 = 0;
    for(long long i=0; i<dv.size(); i++){
        //cout<<dv[i].first<<" "<<dv[i].second<<"\n";
        vector<pair<long long, long long>> a = del(dv[i].first), b = del(dv[i].second);
        br2 += a.size();
        br2 += b.size();
        /*for(long long j=0; j<a.size(); j++){
            cout<<"\t"<<a[j].first<<" "<<a[j].second<<"\n";
        }
        for(long long j=0; j<b.size(); j++){
            cout<<"\t"<<b[j].first<<" "<<b[j].second<<"\n";
        }*/
    }
    ///cout<<br<<"+"<<br2<<"/"<<(dv.size())<<"*2+1 = ";//<<br+br2/2+1;
    cout<<br+br2/2+1;
    return 0;
}
